# API du logiciel _Démarches-Simplifiées_

- [Webhook](webhook.md) : notification via une URL de callback
- [API v2 GraphQL](v2_API_GraphQL.md)
  - consultation des dossiers
  - éditions des dossiers
- [API v1 REST](v1_API_REST.md)
  - consultation des dossiers uniquement
  - dépréciée : cette API sera supprimée à moyen terme ⚠️ 


## Projets utilisant les API du logiciel _Démarches-Simplifiées_

- API v2 GraphQL
  - Rails - [_Inspecteur Mes-Démarches_ pour l'instance DS de la _Polynésie Française_](https://github.com/maatinito/inspecteur-mes-demarches)
    - voir : [app/lib/mes_demarches.rb](https://github.com/maatinito/inspecteur-mes-demarches/blob/dev/app/lib/mes_demarches.rb)
  - NodeJs - [tchak/ds-graphql-api-example](https://github.com/tchak/ds-graphql-api-example)
    - plusieurs requêtes type "query" et une requête de "mutation" avec upload de fichier
    - voir : [index.js](https://github.com/tchak/ds-graphql-api-example/blob/master/index.js)      
- API v1 REST ⚠️
  - TypeScript - [SocialGouv/ds-aggregator](https://gitlab.factory.social.gouv.fr/SocialGouv/ds-aggregator) 
    - [src/demarche-simplifiee/api/ds.api.ts](https://gitlab.factory.social.gouv.fr/SocialGouv/ds-aggregator/-/blob/master/packages/api/src/demarche-simplifiee/api/ds.api.ts)
    - [src/demarche-simplifiee/model/ds.model.ts](https://gitlab.factory.social.gouv.fr/SocialGouv/ds-aggregator/-/blob/master/packages/api/src/demarche-simplifiee/model/ds.model.ts)
